## net.sf.saxon.functions.regex
Interface RegexIterator.OnGroup

Enclosing interface:
  RegexIterator

    public static interface RegexIterator.OnGroup

Interface defining a call-back action for processing captured groups

Method Summary
`void` `onGroupEnd(XPathContext c, int groupNumber)` Method to be called when the end of a captured group is encountered
`void` `onGroupStart(XPathContext c, int groupNumber)` Method to be called when the start of a captured group is encountered

Method Detail

### onGroupStart

    void onGroupStart(XPathContext c,
                      int groupNumber)
                      throws XPathException

  Method to be called when the start of a captured group is encountered

  Parameters:
    `c` - the dynamic evaluation context
    `groupNumber` - the group number of the captured group
  Throws:
    `XPathException`

### onGroupEnd

    void onGroupEnd(XPathContext c,
                    int groupNumber)
                    throws XPathException

  Method to be called when the end of a captured group is encountered

  Parameters:
    `c` - the dynamic evaluation context
    `groupNumber` - the group number of the captured group
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.